// Audio player functionality
let currentAudio = null;

document.querySelectorAll('.play-button').forEach(button => {
  button.addEventListener('click', function() {
    const audioSrc = this.getAttribute('data-src');
    
    // Stop current audio if playing
    if (currentAudio) {
      currentAudio.pause();
      currentAudio.currentTime = 0;
      currentAudio = null;
    }
    
    // Update button states
    document.querySelectorAll('.play-button').forEach(btn => {
      btn.textContent = 'Play';
      btn.disabled = false;
    });
    
    // Play new audio
    currentAudio = new Audio(audioSrc);
    currentAudio.play();
    this.textContent = 'Playing...';
    this.disabled = true;
    
    // Handle audio end
    currentAudio.addEventListener('ended', () => {
      this.textContent = 'Play';
      this.disabled = false;
      currentAudio = null;
    });
  });
});

// Smooth scrolling
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function(e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});